# IGListScrollDelegate

    @protocol IGListScrollDelegate <NSObject>

Implement this protocol to receive display events for an section controller when it is on screen.

- `-listAdapter:didScrollSectionController:`

  Tells the delegate that the section controller was scrolled on screen.

  #### Declaration

  Objective-C

      - (void)listAdapter:(IGListAdapter *)listAdapter
          didScrollSectionController:
              (IGListSectionController<IGListSectionType> *)sectionController;

  #### Parameters

  `listAdapter` | The list adapter whose collection view was scrolled.
  `sectionController` | The visible section controller that was scrolled.

- `-listAdapter:willBeginDraggingSectionController:`

  Tells the delegate that the section controller will be dragged on screen.

  #### Declaration

  Objective-C

      - (void)listAdapter:(IGListAdapter *)listAdapter
          willBeginDraggingSectionController:
              (IGListSectionController<IGListSectionType> *)sectionController;

  #### Parameters

  `listAdapter` | The list adapter whose collection view will drag.
  `sectionController` | The visible section controller that will drag.

- `-listAdapter:didEndDraggingSectionController:willDecelerate:`

  Tells the delegate that the section controller did end dragging on screen.

  #### Declaration

  Objective-C

      - (void)listAdapter:(IGListAdapter *)listAdapter
          didEndDraggingSectionController:
              (IGListSectionController<IGListSectionType> *)sectionController
                           willDecelerate:(BOOL)decelerate;

  #### Parameters

  `listAdapter` | The list adapter whose collection view ended dragging.
  `sectionController` | The visible section controller that ended dragging.

© 2017 Instagram. All rights reserved. (Last updated: 2017-01-04)

Generated by jazzy ♪♫ v0.7.3, a Realm project.